import paho.mqtt.client as mqtt

# Datos de conexión
broker = "localhost"
puerto = 1883
topic = "test/topic"

# Definir la función callback para cuando llega un mensaje
def on_message(client, userdata, msg):
    print(f"Mensaje recibido en el topic {msg.topic}: {msg.payload.decode()}")

# Crear una instancia del cliente MQTT
client = mqtt.Client(mqtt.CallbackAPIVersion.VERSION2)

# Asignar la función callback
client.on_message = on_message

# Conectar al broker
client.connect(broker, puerto, 60)

# Suscribirse al topic
client.subscribe(topic)

# Mantener el cliente en espera para recibir mensajes
client.loop_forever()
